package com.yonge.toolset.base.exception;

import com.yonge.toolset.base.string.MessageFormatter;

public class ThirdpartyException extends RuntimeException {

	/**
	 * 
	 */
	private static final long serialVersionUID = -4562885563376566463L;

	public ThirdpartyException() {
		super();
	}

	public ThirdpartyException(String message) {
		super(message);
	}

	public ThirdpartyException(Throwable cause) {
		super(cause);
	}

	public ThirdpartyException(String message, Throwable cause) {
		super(message, cause);
	}

	public ThirdpartyException(String message, Object... arguments) {
		super(MessageFormatter.arrayFormat(message, arguments));
	}

	public ThirdpartyException(String message, Throwable cause, Object... args) {
		super(MessageFormatter.arrayFormat(message, args), cause);
	}

}
